%global packname  withr
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          2.1.0
Release:          2%{?dist}
Summary:          Run Code 'With' Temporarily Modified Global State

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
# https://github.com/r-lib/withr/issues/62
Patch0001:        move-lattice-to-Suggests.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-stats R-lattice R-graphics R-grDevices
# Suggests:  R-testthat R-covr R-DBI R-RSQLite R-methods
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-stats R-graphics R-grDevices
BuildRequires:    R-devel tex(latex)
BuildRequires:    R-stats R-lattice R-graphics R-grDevices
BuildRequires:    R-testthat R-DBI R-RSQLite R-methods

%description
A set of functions to run code 'with' safely and temporarily modified
global state. Many of these functions were originally a part of the
'devtools' package, this provides a simple package with limited
dependencies to provide access to these functions.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%patch0001 -p1
# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
LANG=C.UTF-8 %{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Nov 15 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.1.0-2
- Remove lattice from Requires.
- Minor fixes to spec internals.

* Fri Nov 10 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.1.0-1
- Update to latest release.

* Tue Nov 07 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-3
- Remove extra Requires.

* Tue Aug 29 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-2
- Clean up old stuff in spec.

* Thu Aug 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-1
- Update to latest release.

* Thu Aug 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-1
- New upstream release

* Fri Feb 17 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.2-1
- initial package for Fedora
